Name:             snappy-java
Version:          1.0.4.1
Release:          %mkrel 4
Summary:          Fast compressor/decompresser
Group:            Development/Java
License:          ASL 2.0
URL:              http://code.google.com/p/snappy-java

# hg clone --insecure -r snappy-java-1.0.4.1 https://code.google.com/p/snappy-java/
# cd snappy-java && hg archive -p snappy-java-1.0.4.1/ -X 'lib/*.jar' -t tgz ../snappy-java-1.0.4.1-CLEAN.tgz
Source0:          snappy-java-%{version}-CLEAN.tgz

Patch0:           snappy-java-%{version}-pom.patch

BuildArch:        noarch

BuildRequires:    felix-osgi-core
BuildRequires:    java-devel
BuildRequires:    jboss-logging
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin

Requires:         felix-osgi-core
Requires:         java
Requires:         jboss-logging
Requires:         jpackage-utils

%description
A Java port of the snappy, a fast compresser/decompresser written in C++.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%patch0 -p1

# Remove org.xerial dependency (tests are skipped)
%pom_remove_dep org.xerial:

%build
# no xerial package available
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 target/snappy-java-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc LICENSE README NOTICE

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE



%changelog
* Mon Jan 06 2014 dmorgan <dmorgan> 1.0.4.1-4.mga4
+ Revision: 564997
- Really disable test deps

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4.1-3.mga3
+ Revision: 382252
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 1.0.4.1-2.mga3
+ Revision: 291780
- New version

* Mon May 28 2012 tavvva <tavvva> 1.0.4.1-1.mga3
+ Revision: 248781
- Linking libstdc++ dynamically

  + gil <gil>
    - fix BR
    - update to 1.0.4.1

  + dmorgan <dmorgan>
    - Fix buildrequires
    - Enable native build

* Sat Oct 29 2011 dmorgan <dmorgan> 1.0.3.2-1.mga2
+ Revision: 159365
- Disable native build

  + gil <gil>
    - rebuilt with native libraries
    - imported package snappy-java

